//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#include <fstream.h>
#pragma hdrstop

#include "transform.h"
//---------------------------------------------------------------------------
USEFORM("DCTvsDWT.cpp", MainWindow);
USERES("DWTvsDCT.res");
USEFORM("About.cpp", AboutDialog);
USEUNIT("transform.cpp");
USEUNIT("Threads.cpp");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();
		Application->Title = "Fourier DCT vs wavelet transforms";
		Application->CreateForm(__classid(TMainWindow), &MainWindow);
		Application->CreateForm(__classid(TAboutDialog), &AboutDialog);
		Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	return 0;
}
//---------------------------------------------------------------------------
