//---------------------------------------------------------------------------
#ifndef ThreadsH
#define ThreadsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
//---------------------------------------------------------------------------
class TransformThread : public TThread
{
private:
	TSpeedButton 	*convertButton;
    TransformGroup 	*transformGroup;
    TProgressBar 	*TransformProgressBar;
    TSpeedButton 	*SaveButton;

    bool	correction;
    bool	grided;
    int 	width;
    int 	grid;
    int 	color,colorRed,colorGreen,colorBlue;
    double 	compress,redCompress,greenCompress,blueCompress;
    Transformer *transRed,*transBlue,*transGreen;
    double 	error;
    TCanvas *canvas;
protected:
	void __fastcall Execute();
public:
	__fastcall TransformThread(bool CreateSuspended,TransformGroup *,TSpeedButton *,TSpeedButton *,TProgressBar *);
	__fastcall ~TransformThread();
    void __fastcall Update();
    void __fastcall CopyFromTables();
    void __fastcall CopyToImage();
    void __fastcall Arguments();
};
//---------------------------------------------------------------------------
#endif
